#!/bin/sh
# preinst script for eole-server
#
# see: dh_installdeb(1)

set -e

# summary of how this script can be called:
#        * <new-preinst> `install'
#        * <new-preinst> `install' <old-version>
#        * <new-preinst> `upgrade' <old-version>
#        * <old-preinst> `abort-upgrade' <new-version>
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package

OLD_RSYSLOGS="20-bacula.conf 20-charon.conf 20-dansguardian.conf
20-exim4.conf 20-iptables.conf 20-named.conf 20-squid.conf
20-rsyslog.conf 20-ufw.conf 90-templates.conf "

case "$1" in
    install|upgrade)
        for conf in ${OLD_RSYSLOGS}; do
            if [ -x /usr/bin/ucf ] ; then
                ucf -p "/etc/rsyslog.d/${conf}" || true
            fi
            rm -f "/etc/rsyslog.d/${conf}"
        done
    ;;

    abort-upgrade)
    ;;

    *)
        echo "preinst called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0
